# is-binary-buffer [![NPM version](https://img.shields.io/npm/v/is-binary-buffer.svg?style=flat)](https://www.npmjs.com/package/is-binary-buffer) [![NPM monthly downloads](https://img.shields.io/npm/dm/is-binary-buffer.svg?style=flat)](https://npmjs.org/package/is-binary-buffer) [![NPM total downloads](https://img.shields.io/npm/dt/is-binary-buffer.svg?style=flat)](https://npmjs.org/package/is-binary-buffer) [![Linux Build Status](https://img.shields.io/travis/jonschlinkert/is-binary-buffer.svg?style=flat&label=Travis)](https://travis-ci.org/jonschlinkert/is-binary-buffer)

> Returns true if a buffer is binary. Takes a buffer and does not read from the file system.

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm install --save is-binary-buffer
```

## What is this?

This a node.js library written in pure javascript that can be used to check if the given value is a "binary buffer".

## Usage

You can add this library to your node.js application using node's `require()` system with the following line of code:

```js
var fs = require('fs');
var isBinary = require('is-binary-buffer');

console.log(isBinary('foo'));             
console.log(isBinary(new Buffer('foo'))); 
//=> false

console.log(isBinary(fs.readFileSync('some-image.jpg'))); 
console.log(isBinary(fs.readFileSync('some-image.gif'))); 
//=> true
```

## Attribution

Based on the code from [isbinaryfile](https://github.com/gjtorikian/isBinaryFile), which only reads from the file system. If the file doesn't exist, is a directory, or is empty, the function returns false.

[isbinaryfile is MIT Licensed](https://github.com/gjtorikian/isBinaryFile/blob/b808cba3faa824bd3cade089743a714187af7193/LICENSE.txt)

## About

### Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](../../issues/new).

Please read the [contributing guide](.github/contributing.md) for advice on opening issues, pull requests, and coding standards.

### Building docs

_(This project's readme.md is generated by [verb](https://github.com/verbose/verb-generate-readme), please don't edit the readme directly. Any changes to the readme must be made in the [.verb.md](.verb.md) readme template.)_

To generate the readme, run the following command:

```sh
$ npm install -g verbose/verb#dev verb-generate-readme && verb
```

### Running tests

Running and reviewing unit tests is a great way to get familiarized with a library and its API. You can install dependencies and run tests with the following command:

```sh
$ npm install && npm test
```

### Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](https://twitter.com/jonschlinkert)

### License

Copyright © 2017, [Jon Schlinkert](https://github.com/jonschlinkert).
Released under the [MIT License](LICENSE).

***

_This file was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme), v0.6.0, on May 19, 2017._